Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.io
Interface ArchiveRecordHeader

All Known Implementing Classes:
  ARCRecordMetaData

    public interface ArchiveRecordHeader

Archive Record Header.

Version:
  $Date: 2006-08-28 23:44:20 +0000 (Mon, 28 Aug 2006) $ $Version$
Author:
  stack

Method Summary
`int` | `getContentBegin()` Offset at which the content begins.
`java.lang.String` | `getDate()` Get the time when the record was created.
`java.lang.String` | `getDigest()`
`java.util.Set` | `getHeaderFieldKeys()`
`java.util.Map` | `getHeaderFields()`
`java.lang.Object` | `getHeaderValue(java.lang.String key)`
`long` | `getLength()`
`java.lang.String` | `getMimetype()`
`long` | `getOffset()`
`java.lang.String` | `getReaderIdentifier()`
`java.lang.String` | `getRecordIdentifier()`
`java.lang.String` | `getUrl()`
`java.lang.String` | `getVersion()`
`java.lang.String` | `toString()`

Method Detail

### getDate

    java.lang.String getDate()

  Get the time when the record was created.

  Returns:
    Date in 14 digit time format (UTC).
  See Also:
    `ArchiveUtils.parse14DigitDate(String)`

### getLength

    long getLength()

  Returns:
    Return length of record.

### getUrl

    java.lang.String getUrl()

  Returns:
    Record subject-url.

### getMimetype

    java.lang.String getMimetype()

  Returns:
    Record mimetype.

### getVersion

    java.lang.String getVersion()

  Returns:
    Record version.

### getOffset

    long getOffset()

  Returns:
    Offset into Archive file at which this record begins.

### getHeaderValue

    java.lang.Object getHeaderValue(java.lang.String key)

  Parameters:
    `key` - Key to use looking up field value.
  Returns:
    value for passed key of null if no such entry.

### getHeaderFieldKeys

    java.util.Set getHeaderFieldKeys()

  Returns:
    Header field name keys.

### getHeaderFields

    java.util.Map getHeaderFields()

  Returns:
    Map of header fields.

### getReaderIdentifier

    java.lang.String getReaderIdentifier()

  Returns:
    Returns identifier for current Archive file. Be aware this may not be a file name or file path. It may just be an URL. Depends on how Archive file was made.

### getRecordIdentifier

    java.lang.String getRecordIdentifier()

  Returns:
    Identifier for the record. If ARC, the URL + date. If WARC, the GUID assigned.

### getDigest

    java.lang.String getDigest()

  Returns:
    Returns digest as String for this record. Only available after the record has been read in totality.

### getContentBegin

    int getContentBegin()

  Offset at which the content begins. For ARCs, its used to delimit where http headers end and content begins. For WARCs, its end of Named Fields before payload starts.

### toString

    java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.